from flask import Flask, render_template, request,session,flash,jsonify
import sqlite3 as sql
import os

app = Flask(__name__)

@app.route('/')
def home():
   if not session.get('logged_in'):
      return render_template('login.html')
   else:
      return render_template('home.html',name=session['name'])

@app.route('/enternew')
def new_student():
   if not session.get('logged_in'):
      return render_template('login.html')
   elif session.get('admin')==True:
      return render_template('player.html')

@app.route('/addrec',methods = ['POST', 'GET'])
def addrec():
   if not session.get('logged_in'):
      return render_template('login.html')
   elif session.get('admin') == True:
      if request.method == 'POST':
         try:
            nm = request.form['Name']
            ag = request.form['Age']
            amt = request.form['Money']
            pwd = request.form['Password']
         
            with sql.connect("CrapsDB.db") as con:
               cur = con.cursor()
            
               cur.execute("INSERT INTO player (Name,Age,Money,Password,UserLevel) VALUES (?,?,?,?,2)",(nm,ag,amt,pwd) )
            
               con.commit()
               msg = "Record successfully added"
         except:
            con.rollback()
            msg = "error in insert operation"
      
         finally:
            return render_template("result.html",msg = msg)
            con.close()
   else:
      return render_template('login.html')

@app.route('/list')
def list():
   if not session.get('logged_in'):
      return render_template('login.html')
   elif session.get('admin') == True:
      con = sql.connect("CrapsDB.db")
      con.row_factory = sql.Row
   
      cur = con.cursor()
      cur.execute("select * from player")
   
      rows = cur.fetchall();
      return render_template("list.html",rows = rows)


@app.route('/login', methods=['POST'])
def do_admin_login():

   try:
      nm = request.form['username']
      pwd = request.form['password']

      with sql.connect("CrapsDB.db") as con:
         con.row_factory = sql.Row
         cur = con.cursor()

         sql_select_query = """select * from player where Name = ? and Password = ?"""
         cur.execute(sql_select_query, (nm,pwd))

         row = cur.fetchone();
         if (row != None):
            session['logged_in'] = True
            session['name'] = nm
            if (int(row['UserLevel'])==1):
               session['admin'] = True
            else:
               session['admin'] = False

         else:
            session['logged_in'] = False
            flash('invalid username and/or password!')
   except:
      con.rollback()
      flash("error in insert operation")
   finally:
      con.close()
   return home()

@app.route("/logout")
def logout():
   session['logged_in'] = False
   session['admin'] = False
   session['name'] = ""
   return home()

if __name__ == '__main__':
   app.secret_key = os.urandom(12)
   app.run(debug=True)
